curl --request POST \
--url https://api.sandbox.tracefinance.com/v1/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assets": [
{
"code": "BRL",
"accountType": "NAMED"
}
],
"owner": {
"type": "COMPANY",
"legalName": "Acme Ltda",
"identificationDocument": {
"value": "11222333000181",
"type": "CNPJ"
},
"industry": "SOFTWARE_DEVELOPMENT",
"expectedMonthlyVolume": "FROM_0_TO_50000",
"incorporateDate": "2018-05-12",
"isStartup": false,
"address": {
"addressLine1": "Rua das Flores, 100",
"addressLine2": "Suite 456",
"city": "São Paulo",
"state": "SP",
"country": "BR",
"postalCode": "01234-567"
}
}
}
'
{
"id": "a1b2c3d4-5e6f-7890-abcd-ef1234567890",
"customer": {
"id": "c1a2b3c4-d5e6-7890-abcd-ef1234567890"
},
"owner": {
"type": "COMPANY",
"legalName": "Acme Ltda",
"identificationDocument": {
"type": "CNPJ",
"value": "11222333000181",
"country": "BR"
},
"industry": "SOFTWARE_DEVELOPMENT",
"expectedMonthlyVolume": "FROM_0_TO_50000",
"address": {
"addressLine1": "Rua das Flores, 100",
"city": "São Paulo",
"country": "BR",
"postalCode": "01234-567",
"addressLine2": "Suite 456",
"state": "SP"
},
"ubos": [
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "João Silva",
"identificationDocument": {
"type": "CNPJ",
"value": "11222333000181",
"country": "BR"
},
"address": {
"addressLine1": "Rua das Flores, 100",
"city": "São Paulo",
"country": "BR",
"postalCode": "01234-567",
"addressLine2": "Suite 456",
"state": "SP"
},
"phone": "5511999999999",
"email": "joao.silva@example.com",
"isLegalRepresentative": false,
"currentState": {
"status": "PENDING",
"createdAt": "2026-01-15T10:30:00Z",
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
},
"ownershipPercentage": 50
}
]
},
"assets": [
{
"currency": "BRL",
"allowsVirtualAccounts": false,
"status": "ONBOARDING"
}
],
"requirements": {
"currentlyDue": [
{
"type": "ACCOUNT_DOCUMENT",
"documentType": "ARTICLES_OF_ASSOCIATION",
"documentSubType": "FRONT_SIDE",
"requiredMetadata": [
"country"
],
"metadata": {},
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
}
],
"pendingVerification": [
{
"type": "ACCOUNT_DOCUMENT",
"documentType": "ARTICLES_OF_ASSOCIATION",
"documentSubType": "FRONT_SIDE",
"requiredMetadata": [
"country"
],
"metadata": {},
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
}
],
"errors": [
{
"type": "ACCOUNT_DOCUMENT",
"documentType": "ARTICLES_OF_ASSOCIATION",
"documentSubType": "FRONT_SIDE",
"requiredMetadata": [
"country"
],
"metadata": {},
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
}
],
"satisfied": [
{
"type": "ACCOUNT_DOCUMENT",
"documentType": "ARTICLES_OF_ASSOCIATION",
"documentSubType": "FRONT_SIDE",
"requiredMetadata": [
"country"
],
"metadata": {},
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
}
]
},
"tags": [
{
"key": "psp",
"value": "Amazon"
},
{
"key": null,
"value": "hidden"
},
{
"key": "compliance-tier",
"value": "high"
}
],
"currentState": {
"status": "ACTION_REQUIRED",
"createdAt": "2026-01-15T10:30:00Z",
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
},
"states": [
{
"status": "ACTION_REQUIRED",
"createdAt": "2026-01-15T10:30:00Z",
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
}
],
"createdAt": "2026-01-15T10:30:00Z",
"updatedAt": "2026-01-15T10:30:00Z",
"sourceAccountId": null
}
Create an account
Creates a new multi-currency account for the authenticated customer.
POST
/
v1
/
accounts
curl --request POST \
--url https://api.sandbox.tracefinance.com/v1/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assets": [
{
"code": "BRL",
"accountType": "NAMED"
}
],
"owner": {
"type": "COMPANY",
"legalName": "Acme Ltda",
"identificationDocument": {
"value": "11222333000181",
"type": "CNPJ"
},
"industry": "SOFTWARE_DEVELOPMENT",
"expectedMonthlyVolume": "FROM_0_TO_50000",
"incorporateDate": "2018-05-12",
"isStartup": false,
"address": {
"addressLine1": "Rua das Flores, 100",
"addressLine2": "Suite 456",
"city": "São Paulo",
"state": "SP",
"country": "BR",
"postalCode": "01234-567"
}
}
}
'
{
"id": "a1b2c3d4-5e6f-7890-abcd-ef1234567890",
"customer": {
"id": "c1a2b3c4-d5e6-7890-abcd-ef1234567890"
},
"owner": {
"type": "COMPANY",
"legalName": "Acme Ltda",
"identificationDocument": {
"type": "CNPJ",
"value": "11222333000181",
"country": "BR"
},
"industry": "SOFTWARE_DEVELOPMENT",
"expectedMonthlyVolume": "FROM_0_TO_50000",
"address": {
"addressLine1": "Rua das Flores, 100",
"city": "São Paulo",
"country": "BR",
"postalCode": "01234-567",
"addressLine2": "Suite 456",
"state": "SP"
},
"ubos": [
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "João Silva",
"identificationDocument": {
"type": "CNPJ",
"value": "11222333000181",
"country": "BR"
},
"address": {
"addressLine1": "Rua das Flores, 100",
"city": "São Paulo",
"country": "BR",
"postalCode": "01234-567",
"addressLine2": "Suite 456",
"state": "SP"
},
"phone": "5511999999999",
"email": "joao.silva@example.com",
"isLegalRepresentative": false,
"currentState": {
"status": "PENDING",
"createdAt": "2026-01-15T10:30:00Z",
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
},
"ownershipPercentage": 50
}
]
},
"assets": [
{
"currency": "BRL",
"allowsVirtualAccounts": false,
"status": "ONBOARDING"
}
],
"requirements": {
"currentlyDue": [
{
"type": "ACCOUNT_DOCUMENT",
"documentType": "ARTICLES_OF_ASSOCIATION",
"documentSubType": "FRONT_SIDE",
"requiredMetadata": [
"country"
],
"metadata": {},
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
}
],
"pendingVerification": [
{
"type": "ACCOUNT_DOCUMENT",
"documentType": "ARTICLES_OF_ASSOCIATION",
"documentSubType": "FRONT_SIDE",
"requiredMetadata": [
"country"
],
"metadata": {},
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
}
],
"errors": [
{
"type": "ACCOUNT_DOCUMENT",
"documentType": "ARTICLES_OF_ASSOCIATION",
"documentSubType": "FRONT_SIDE",
"requiredMetadata": [
"country"
],
"metadata": {},
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
}
],
"satisfied": [
{
"type": "ACCOUNT_DOCUMENT",
"documentType": "ARTICLES_OF_ASSOCIATION",
"documentSubType": "FRONT_SIDE",
"requiredMetadata": [
"country"
],
"metadata": {},
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
}
]
},
"tags": [
{
"key": "psp",
"value": "Amazon"
},
{
"key": null,
"value": "hidden"
},
{
"key": "compliance-tier",
"value": "high"
}
],
"currentState": {
"status": "ACTION_REQUIRED",
"createdAt": "2026-01-15T10:30:00Z",
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
},
"states": [
{
"status": "ACTION_REQUIRED",
"createdAt": "2026-01-15T10:30:00Z",
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
}
],
"createdAt": "2026-01-15T10:30:00Z",
"updatedAt": "2026-01-15T10:30:00Z",
"sourceAccountId": null
}
Authorizations
JWT bearer token. Include as Authorization: Bearer <token>. See the Authentication guide for how to obtain one.
Body
application/json
Request body for creating a new account.
Response
Account created.
Was this page helpful?